﻿.partner-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    min-height: 100vh;
    box-sizing: border-box;
    padding-top: 150px;
}
.partner-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 85px 0;
}
.partner-title-box h2{
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 36px;
    color: #e50516;
    letter-spacing: 0.06em;
    line-height: 1;
    box-sizing: border-box;
}
.partner-title-box span{
    font-family: 'Noto Sans TC';
    font-size: 16px;
    color: #000;
    letter-spacing: 0.1em;
    line-height: 30px;
    box-sizing: border-box;
}
.partner-info-box{
    margin-top: 40px;
}
.partner-info{
    width: 200px;
    display: inline-block;
    vertical-align: top;
    margin-right: 50px;
}
.partner-info:nth-child(5n){
    margin-right: 0;
}
.partner-info:nth-child(n + 6){
    margin-top: 40px;
}
.partner-info-img{
    width: 100%;
    height: calc((160 / 220) * 200px);
    overflow: hidden;
}



@media only screen and (max-width: 1200px){
    .partner-all-box{
        width: 1000px;
    }
    .partner-info{
        width: 180px;
    }
    .partner-info-img {
        height: calc((160 / 220) * 180px);
    }
}
@media only screen and (max-width: 1000px){
    .partner-all-box{
        width: 750px;
        padding: 60px 0;
    }
    .partner-info:nth-child(n){
        margin-right: 10px;
        margin-top: 0px;
    }
    .partner-info:nth-child(4n) {
        margin-right: 0;
    }
    .partner-info:nth-child(n + 5) {
        margin-top: 10px;
    }
}
@media only screen and (max-width: 768px){
    .partner-box{
        padding-top: 45px;
    }
    .partner-all-box{
        width: 550px;
        padding: 40px 0;
    }
    .partner-info-box {
        margin-top: 20px;
    }
    .partner-info:nth-child(n){
        width: 170px;
        margin-right: 20px;
        margin-top: 0px;
    }
    .partner-info:nth-child(3n) {
        margin-right: 0;
    }
    .partner-info:nth-child(n + 4) {
        margin-top: 20px;
    }
    .partner-info-img {
        height: calc((160 / 220) * 170px);
    }
}
@media only screen and (max-width: 550px){
    .partner-all-box{
        width: 95vw;
        padding: 20px 0;
    }
    .partner-title-box h2{
        font-size: 20px;
    }
    .partner-title-box span{
        font-size: 14px;
        line-height: 20px;
    }
    .partner-info-box {
        margin-top: 10px;
    }
    .partner-info:nth-child(n){
        width: calc((95vw - 10px) / 2);
        margin-right: 10px;
        margin-top: 0px;
    }
    .partner-info:nth-child(2n) {
        margin-right: 0;
    }
    .partner-info:nth-child(n + 3) {
        margin-top: 10px;
    }
    .partner-info-img {
        height: calc((160 / 220) * ((95vw - 10px) / 2));
    }
}
@media only screen and (max-width: 400px){
    .partner-info:nth-child(n){
        width: 95vw;
        margin-top: 0;
        margin-right: 0;
    }
    .partner-info:nth-child(n + 2) {
        margin-top: 10px;
    }
    .partner-info-img {
        height: calc((160 / 220) * 95vw);
    }
}




@media only screen and (min-width: 769px){
    .partner-info img{
        transition: all .3s linear;
    }
    .partner-info:hover img{
        transform: scale(1.1);
    }

    .partner-title-box h2,
    .partner-title-box span,
    .partner-info{
        opacity: 0;
    }
    .partner-title-box.anima h2{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .partner-title-box.anima span{
        animation: fade 1s ease .3s 1 both;
    }
    .partner-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}